{
  "name": "mall4cloud-platform",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "preinstall": "npx only-allow pnpm",
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "lint": "eslint --ext .js,.vue src",
    "lint:fix": "eslint --fix --ext .js,.vue src",
    "prepare": "husky install",
    "lint:staged": "lint-staged"
  },
  "dependencies": {
    "@element-plus/icons-vue": "2.1.0",
    "axios": "1.6.2",
    "big.js": "6.2.1",
    "clipboard": "2.0.11",
    "compressorjs": "1.2.1",
    "crypto-js": "4.2.0",
    "default-passive-events": "2.0.0",
    "dompurify": "3.0.6",
    "echarts": "5.4.3",
    "element-plus": "2.4.2",
    "js-base64": "3.7.5",
    "moment": "2.29.4",
    "pinia": "2.1.7",
    "pinia-plugin-persistedstate": "3.2.0",
    "qs": "6.11.2",
    "vue": "3.3.8",
    "vue-cookies": "1.8.3",
    "vue-draggable-next": "2.2.1",
    "vue-i18n": "9.7.0",
    "vue-router": "4.2.5",
    "vue-slicksort": "2.0.5",
    "vuedraggable": "2.24.3"
  },
  "devDependencies": {
    "@iconify-json/ep": "1.1.12",
    "@vitejs/plugin-legacy": "5.0.0",
    "@vitejs/plugin-vue": "4.5.0",
    "eslint": "8.53.0",
    "eslint-config-standard": "17.1.0",
    "eslint-plugin-import": "2.29.0",
    "eslint-plugin-n": "16.3.1",
    "eslint-plugin-promise": "6.1.1",
    "eslint-plugin-vue": "9.18.1",
    "eslint-plugin-vue-scoped-css": "2.5.1",
    "husky": "8.0.3",
    "lint-staged": "15.1.0",
    "sass": "1.69.5",
    "terser": "5.24.0",
    "unplugin-auto-import": "0.16.7",
    "unplugin-vue-components": "0.25.2",
    "vite": "5.0.0",
    "vite-plugin-compression": "0.5.1",
    "vite-plugin-eslint": "1.8.1",
    "vite-plugin-svg-icons": "2.0.1"
  },
  "lint-staged": {
    "*.{js,vue}": [
      "eslint --fix"
    ]
  },
  "engines": {
    "node": ">=18.12.0",
    "pnpm": ">=7"
  },
  "pnpm": {
    "peerDependencyRules": {
      "ignoreMissing": [
        "sortablejs*",
        "vue-eslint-parser*"
      ]
    }
  }
}
